mmv {cycleRtools} | R Documentation

## Maximal mean values.

### Description

Calculate maximal mean values for specified time periods.

### Usage

    mmv(data, column, windows, deltat = NULL, character.only = FALSE)

### Arguments

`data` | a formatted dataset produced by `read*()`.
`column` | column in `data` giving the values of interest. Needn't be quoted.
`windows` | window size(s) for which to generate best averages, given in seconds.
`deltat` | the sampling frequency of `data` in seconds per sample; typically 0.5 or 1. If `NULL`, this is estimated.
`character.only` | are column name arguments given as character strings? A backdoor around non-standard evaluation. Mainly for internal use.

### Value

a matrix object with two rows: 1) best mean values and 2) the time at which those values were recorded

### See Also

For a more generic and efficient version of this function, see `mmv2`

### Examples

    data(ridedata)

    ## Best power for 5 and 20 minutes.
    tsec <- c(5, 20) * 60
    mmv(ridedata, power.W, tsec)

    ## Generate a simple critical power estimate.
    tsec <- 2:20 * 60
    pwrs <- mmv(ridedata, power.W, tsec)
    m <- lm(pwrs[1, ] ~ {1 / tsec})  # Simple inverse model.
    coef(m)[1]  # Intercept = critical power.

    ## More complex models...
    m <- Pt_model(pwrs[1, ], tsec)
    print(m)
    ## Extract the asymptote of the exponential model.
    coef(m)$exp["CP"]

[Package cycleRtools version 1.1.1 Index]